Last modified: 2011-03-16 05:58:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27798 - Repeated messages about Talk page changes which have already been checked.
Repeated messages about Talk page changes which have already been checked.
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 27727
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 21:54 UTC by Thor Malmjursson
Modified: 2011-03-16 05:58 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Munged version of Att 8228, Copy of email showing headers as noted in the bug (2.37 KB, text/plain)
2011-02-28 22:11 UTC, Thor Malmjursson
Details
Another instance of the duplicate; on my acct. (2.45 KB, text/plain)
2011-03-01 11:05 UTC, Douglas Gardner
Details
Screenshot from Hotmail showing multiple email (307.44 KB, image/jpeg)
2011-03-08 12:02 UTC, Thor Malmjursson
Details

Description Thor Malmjursson 2011-02-28 21:54:35 UTC
Created attachment 8228 [details]
This is the email received today, clearly notable from the headers enclosed

Hi. This issue has now occurred twice, at least to myself, and I'm not sure if it's happened to anyone else, but here's the situation:

On the 18th of February, a user (Diego Grez) changed my talk page at meta.wikimedia.org, and I received an email about said change, viewed the diff and promptly deleted the email.

Today (28th of February), about one and a half hours ago, I received a second email from the system, informing me that Diego Grez had changed my talk page, on the 18th of February, detailing the same edit that he'd made 10 days ago, and he's not been back since.


The first time I had this, was in the early part of the year, and I brushed it aside as a one off after speaking to #wikimedia-tech.  This being a repeat occurrence, figured it was best to report it to you.  I've attached a copy of the email so you can see the issue.
Comment 1 Thor Malmjursson 2011-02-28 21:59:27 UTC
Correction: It was about 3 hours ago, didn't have my glasses on when I read the time :)  Received the email at 6.39pm UTC
Comment 2 Sam Reed (reedy) 2011-02-28 22:06:47 UTC
The content of attachment 8228 [details] has been deleted by
    Reedy <sam@reedyboy.net>
who provided the following reason:

delete

The token used to delete this attachment was generated at 2011-02-28 22:06:42 UTC.
Comment 3 Thor Malmjursson 2011-02-28 22:11:56 UTC
Created attachment 8229 [details]
Munged version of Att 8228, Copy of email showing headers as noted in the bug

replacement for the attachment deleted after a cockup by myself.
Comment 4 Sam Reed (reedy) 2011-02-28 23:15:18 UTC
Right. This is very likely to be related to the stuck job queue

So you might get some more duplicate. As to why they've duplicating, I'm not sure... Unless jobs haven't been popped from the jobqueue, and get reprocessed...
Comment 5 Douglas Gardner 2011-03-01 11:05:37 UTC
Created attachment 8231 [details]
Another instance of the duplicate; on my acct.

I think I had the same problem yesterday --- my enwikinews talk page was changed [1] on 21 Feb, and, yesterday (28th), I received the e-mail. Other edits to my talk page since the 21st have triggered e-mails successfully without any delay.

I don't think the e-mail was sent on the 21st and that the 28th e-mail was a duplicate (but one never knows with the way my POP3 settings are working).

[1] http://en.wikinews.org/w/index.php?title=User_talk:Microchip08&diff=prev&oldid=1182659
Comment 6 Thor Malmjursson 2011-03-08 12:02:48 UTC
Created attachment 8261 [details]
Screenshot from Hotmail showing multiple email

And it's done it again, I'm afraid. Another instance, this time in spades.  MediaWiki Mail sent me *5* of the same message this morning at 6:41AM, telling me that exactly the same edit had occurred once, on the 25th of February, and a 6th from Commons about an edit which occurred *4* days ago (4th March).  I don't know what's causing this, but I hope it gets fixed :)
Comment 7 Roan Kattouw 2011-03-08 23:22:52 UTC
This is probably because e-mail jobs got stuck behind heavy jobs at first (and weren't executed at all when the job runners were all halted because they'd broken, of course), so now that the runners are back up and prioritizing e-mail jobs, a lot of the backlog will be flushed through fairly rapidly. As a consequence, people will get some old e-mails, but that's a temporary glitch.
Comment 8 p858snake 2011-03-16 05:58:04 UTC
Job runners are back to working.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links